<?php
/**
* Homepage (Static ) options
*
* @package Theme_Palace
* @subpackage TP_Philosophy_Pro
* @since 1.0
*/

// Homepage (Static ) setting and control.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[enable_frontpage_content]', array(
	'sanitize_callback'   => 'tp_philosophy_pro_sanitize_checkbox',
	'default'             => $options['enable_frontpage_content']
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[enable_frontpage_content]', array(
	'label'       => esc_html__( 'Enable Content', 'tp-philosophy-pro' ),
	'description' => esc_html__( 'Check to enable content on static front page only.', 'tp-philosophy-pro' ),
	'section'     => 'static_front_page',
	'type'        => 'checkbox'
) );

// Add front page subtitle setting and control.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[front_page_subtitle]', array(
	'default'           => $options['front_page_subtitle'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[front_page_subtitle]', array(
	'label'           	=> esc_html__( 'Front Page Subtitle', 'tp-philosophy-pro' ),
	'description'		=> esc_html__( 'Input subtitle.', 'tp-philosophy-pro' ),
	'section'         	=> 'static_front_page',
	'active_callback' 	=> 'tp_philosophy_pro_front_page_content_enabled',
) );